var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Breadcrumbs, Breadcrumb, Delimiter } from '@pulse/ui/components/Breadcrumbs';
import { isArrayCount } from "../../../utils";
export const ModalBreadcrumbs = (_a) => {
    var { breadcrumbs } = _a, rest = __rest(_a, ["breadcrumbs"]);
    const renderBreadcrumbs = () => breadcrumbs.map(({ breadcrumb, onClick }, idx) => {
        if (idx === isArrayCount(breadcrumbs) - 1) {
            return (React.createElement(Breadcrumb, { key: breadcrumb + idx },
                React.createElement("span", null, breadcrumb)));
        }
        return (React.createElement(Breadcrumb, { key: breadcrumb + idx },
            React.createElement("a", { onClick: () => onClick && onClick() }, breadcrumb),
            React.createElement(Delimiter, null, "/")));
    });
    return React.createElement(Breadcrumbs, Object.assign({}, rest), breadcrumbs.length > 1 && renderBreadcrumbs());
};
